# angular.directive.ng:init

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

The `ng:init` attribute specifies initialization tasks to be executed before the template enters execution mode during bootstrap.

## Usage

    <ANY ng:init="expression">
       ...
    </ANY>

### Parameters

- `expression – {expression} –`

  Expression to eval.

## Example

    <div ng:init="greeting='Hello'; person='World'">
      {{greeting}} {{person}}!
    </div>

       it('should check greeting', function(){
         expect(binding('greeting')).toBe('Hello');
         expect(binding('person')).toBe('World');
       });